Subject: [GNU Libtool 2.4.6] testsuite: 102 failed

From: Cody Logan <[email-masked]>
Date: Thu, 3 Oct 2019 15:56:03 -0700

Debian 10 on Linux 4.19.67-2+deb10u1 using GCC 8.3.0. Log attached.

Relevant lines:

config.status: executing libtool commands
./old-ltdl-iface.at:134: $as_unset LIBTOOL; $as_unset LIBTOOLIZE; $MAKE $target
stderr:
libtool:   error: cannot find the library 'ltdl/libltdlc.la' or
unhandled argument 'ltdl/libltdlc.la'
make[1]: *** [Makefile:757: old] Error 1
make: *** [Makefile:534: all] Error 2
stdout:
make  all-am
make[1]: Entering directory '/home/cody/libtool-2.4.6/tests/testsuite.dir/102'
depbase=`echo old.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -DHAVE_CONFIG_H -I.  -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I.
-Iltdl -I./ltdl -Iltdl/libltdl -I./ltdl/libltdl   -g -O2 -MT old.o -MD
-MP -MF $depbase.Tpo -c -o old.o old.c &&\
mv -f $depbase.Tpo $depbase.Po
/bin/sh ./libtool  --tag=CC   --mode=link gcc  -g -O2 -no-undefined
-o old old.o -Lltdl ltdl/libltdlc.la
make[1]: Leaving directory '/home/cody/libtool-2.4.6/tests/testsuite.dir/102'
./old-ltdl-iface.at:134: exit code was 2, expected 0
102. old-ltdl-iface.at:35: 102. Makefile.inc (old-ltdl-iface.at:35):
FAILED (old-ltdl-iface.at:134)

-Cody